Bug 842649 - Playback sometime breaks after next track starts to play (automatically)
Playback sometime breaks after next track starts to play (automatically)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 07:02 EDT by Aurimas Černius
Modified: 2013-07-31 16:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:52:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aurimas Černius 2012-07-24 07:02:32 EDT
Description of problem:
When track ends and a new one is selected (shuffle enabled), sometimes the track is not played. Rhythmbox still displays controls like it is playing, but nothing is played and progress controll is at the start. Clicking play button does not work too, problem can be resolved by clicking back and forward (or vise-versa).
Never experienced this problem when manually moving to next/previous tranch via controls, only when player switches after completing the track.
Did not occurr when tracks are played with shuffle off, but this mode was little used to claim so.


Version-Release number of selected component (if applicable):
2.97 (Fedora 17)


How reproducible:
When listening to music it occurrs every day few times, but intermitent.


Steps to Reproduce:
The only suspicion for reproducing the issue is when switching between different formats of files, but not certain and does not happen all the time. I have flac and ogg files only.
  
Actual results:
Playback stops and play button does not work. Back and forward button clicked once each in any order solve the problem. This happend intermitently.

Expected results:
Playback should never break after switching to other track.

Additional info:
I had Fedora 16 x86 on this box and it worked fine.
The issue only apeared after installing Fedora 17 x86_64. I installed it from live CD formatting all systems partitions, but keeping /home partition as it was and created a new user with same name reusing existing home directory (SELinux context update went fine automatically, no problems with any other software, probably not related to this rhythmbox problem too).
Comment 1 Stefan 2012-08-03 05:20:40 EDT
Same here, when the played file type changed from ogg to mp3 or back.

Enabling "Crossfade between tracks" with 0,1 seconds, is a suitable workaround.

There is also a Bug-Report for Ubuntu: https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/978604
Comment 2 Fedora End Of Life 2013-07-03 16:40:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 16:52:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.